import java.util.Scanner;
public class Main {

	public static void main(String[] args) {
		Scanner s = new Scanner(System.in);
		String slova = s.next();
		String rec = "";
		int brojac = 0;
		char slovo1 = slova.charAt(0);
		char slovo2 = slova.charAt(1);
		int broj1 = s.nextInt();
		int broj2 = s.nextInt();
		int broj  = broj1 + broj2;
		if(broj1 - broj2 > 1 || broj2 - broj1 >1 || slovo1 == slovo2) {
			System.out.println("nemoguce");
		}else {
			if(broj1>broj2) {
				while(broj != 0) {
					if(brojac %2 == 0) {
						rec = rec + slovo1;
						broj1--;
						broj = broj1 + broj2;
						brojac++;
					}else{
						rec = rec + slovo2;
						broj2--;
						broj = broj1 + broj2;
						brojac++;
					}
					
				}
				
			}else{ 
				while(broj != 0) {
					if(brojac %2 == 0) {
						rec = rec + slovo2;
						broj2--;
						broj = broj1 + broj2;
						brojac++;
					}else{
						rec = rec + slovo1;
						broj1--;
						broj = broj1 + broj2;
						brojac++;
					}
			}
		}
			
		System.out.println(rec);
}
}		
}